This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 819118 - copying a certain sheet lets LibreOffice crash
copying a certain sheet lets LibreOffice crash
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
16
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Eike Rathke
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-04 18:21 EDT by Joerg Stippa
Modified: 2012-06-08 10:23 EDT (History)
6 users (show)

See Also:
Fixed In Version: libreoffice-3.4.5.2-14.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-08 10:23:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
specially crafted file to reproduce crash (392.50 KB, application/vnd.ms-excel)
2012-05-04 18:21 EDT, Joerg Stippa
no flags Details

  None (edit)
Description Joerg Stippa 2012-05-04 18:21:22 EDT
Created attachment 582220 [details]
specially crafted file to reproduce crash

Description of problem:
When copying a certain sheet the program crashes.

Version-Release number of selected component (if applicable):
libreoffice-calc-3.4.5.2-13.fc16.x86_64
fully updated F16 as of 04-May-2012, 08:00 PM CEST

How reproducible:
Always

Steps to Reproduce:
1. Load attached file (Excel sheet)
2. Copy last sheet
  
Actual results:
program crash with console message:
terminate called after throwing an instance of 'com::sun::star::container::NoSuchElementException'

Expected results:
a copy of the sheet

Additional info:
First of all, I'm German but use the English localization/i18n, except the time zone.
When copying another sheet it works.
I started with a much bigger Excel (>50 sheets) where I could pick almost any sheet to make the program crash.
I stripped down the file as much as possible. Missing references should have no influence on the behaviour. Inside the bigger Excel there haven't been missing references, but the crash still occurs.
I installed LibreOffice 3.5.3 for Windows after downloading from the LibreOffice site, and I'm still able to reproduce the crashes.
Comment 3 Eike Rathke 2012-05-08 05:42:19 EDT
Backported to f16.

Note You need to log in before you can comment on or make changes to this bug.